Loading...
Searching...
No Matches
Dune::Functions::DynamicPowerBasisNode< T > Class Template Reference

`#include <dune/functions/functionspacebases/nodes.hh>`

Inheritance diagram for Dune::Functions::DynamicPowerBasisNode< T >:

## Public Types

using | Element = typename T::Element
using | size_type = std::size_t

## Public Member Functions

std::size_t | degree () const
template<class Index> requires (std::is_convertible_v<Index, std::size_t>)
const auto & | child (Index i) const
template<class Index> requires (std::is_convertible_v<Index, std::size_t>)
auto & | child (Index i)
| DynamicPowerBasisNode (std::size_t children)
const Element & | element () const
template<class Index, class TT>
void | setChild (Index i, TT &&t)
void | bind (const Element &entity)
size_type | localIndex (size_type i) const
size_type | size () const
| Obtain the number of basis function in the local node.
bool | empty () const
| Check if the node is empty.
size_type | treeIndex () const

## Static Public Attributes

static const bool | isLeaf = false
static const bool | isPower = true
static const bool | isComposite = false

## Protected Member Functions

size_type | offset () const
void | setOffset (const size_type offset)
void | setSize (const size_type size)
void | setTreeIndex (size_type treeIndex)

## Member Typedef Documentation

## Element

template<typename T>

using Dune::Functions::DynamicPowerBasisNode< T >::Element = typename T::Element

## size_type

using Dune::Functions::BasisNodeMixin::size_type = std::size_t

inherited

## Constructor & Destructor Documentation

## DynamicPowerBasisNode()

template<typename T>

Dune::Functions::DynamicPowerBasisNode< T >::DynamicPowerBasisNode | ( | std::size_t | children | ) |

inline

## Member Function Documentation

## bind()

void Dune::Functions::InnerBasisNodeMixin< DynamicPowerBasisNode< T >, Element >::bind | ( | const Element & | entity | ) |

inline inherited

## child() [1/2]

template<typename T>
template<class Index>
requires (std::is_convertible_v<Index, std::size_t>)

auto & Dune::Functions::DynamicPowerBasisNode< T >::child | ( | Index | i | ) |

inline

## child() [2/2]

template<typename T>
template<class Index>
requires (std::is_convertible_v<Index, std::size_t>)

const auto & Dune::Functions::DynamicPowerBasisNode< T >::child | ( | Index | i | ) | const

inline

## degree()

template<typename T>

std::size_t Dune::Functions::DynamicPowerBasisNode< T >::degree | ( |  | ) | const

inline

## element()

template<typename T>

const Element & Dune::Functions::DynamicPowerBasisNode< T >::element | ( |  | ) | const

inline

## empty()

bool Dune::Functions::BasisNodeMixin::empty | ( |  | ) | const

inline inherited

Check if the node is empty.

This is equivalent to size()==0. Notice that it is undefined behaviour to access the element() and finiteElement() methods of the node if it is empty, i.e., if its size is zero.

## localIndex()

size_type Dune::Functions::BasisNodeMixin::localIndex | ( | size_type | i | ) | const

inline inherited

## offset()

size_type Dune::Functions::BasisNodeMixin::offset | ( |  | ) | const

inline protected inherited

## setChild()

template<typename T>
template<class Index, class TT>

void Dune::Functions::DynamicPowerBasisNode< T >::setChild | ( | Index | i,
|  | TT && | t )

inline

## setOffset()

void Dune::Functions::BasisNodeMixin::setOffset | ( | const size_type | offset | ) |

inline protected inherited

## setSize()

void Dune::Functions::BasisNodeMixin::setSize | ( | const size_type | size | ) |

inline protected inherited

## setTreeIndex()

void Dune::Functions::BasisNodeMixin::setTreeIndex | ( | size_type | treeIndex | ) |

inline protected inherited

## size()

size_type Dune::Functions::BasisNodeMixin::size | ( |  | ) | const

inline inherited

Obtain the number of basis function in the local node.

Notice that it is undefined behaviour to access the element() and finiteElement() methods of the node if it is empty, i.e., if its size is zero.

## treeIndex()

size_type Dune::Functions::BasisNodeMixin::treeIndex | ( |  | ) | const

inline inherited

## Member Data Documentation

## isComposite

template<typename T>

const bool Dune::Functions::DynamicPowerBasisNode< T >::isComposite = false

static

## isLeaf

template<typename T>

const bool Dune::Functions::DynamicPowerBasisNode< T >::isLeaf = false

static

## isPower

template<typename T>

const bool Dune::Functions::DynamicPowerBasisNode< T >::isPower = true

static

The documentation for this class was generated from the following file:

- nodes.hh